{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.home.gaming.enable {
    home.packages = with pkgs; [
      heroic
      prismlauncher
      steam
      steam-run-free
    ];

    home.persistence."/persist${config.home.homeDirectory}".directories = [
      ".config/heroic"
      ".local/share/PrismLauncher"
      ".local/share/Steam"
      ".steam"
    ];

    nixpkgs.allowUnfreePackages = [
      "steam"
      "steam-unwrapped"
    ];
  };
}
